<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core">
    <h:head>
        <title>Register page</title>
    </h:head>
    <h:body>
        <h:form id="form-register">
            <table>
                <tr>
                    <td><h:outputLabel for="tbx-name">Name: </h:outputLabel></td>
                    <td><h:inputText id="tbx-name" value="#{user.name}" required="true" requiredMessage="Name must be filled">
                        </h:inputText>
                    </td>
                </tr>
                <tr>
                    <td><h:outputLabel for="tbx-email">Email: </h:outputLabel></td>
                    <td>
                        <h:inputText id="tbx-email" value="#{user.email}">
                            <f:validateBean />
                        </h:inputText>
                    </td>
                </tr>
                <tr>
                    <td><h:outputLabel for="tbx-password">Password: </h:outputLabel></td>
                    <td>
                        <h:inputSecret id="tbx-password" value="#{user.password}">
                            <f:validateBean />
                        </h:inputSecret>
                    </td>
                </tr>
                <tr>
                    <td><h:outputLabel for="rb-gender">Gender: </h:outputLabel></td>
                    <td>
                        <h:selectOneRadio id="rb-gender" value="#{user.gender}">
                            <f:selectItem itemValue="Male" itemLabel="Male" />
                            <f:selectItem itemValue="Female" itemLabel="Female" />
                        </h:selectOneRadio>
                    </td>
                </tr>                
                <tr>
                    <td><h:outputLabel for="tbxa-address">Address: </h:outputLabel></td>
                    <td><h:inputTextarea id="tbxa-address" value="#{user.address}" cols="50" rows="5" style="resize:none; overflow:auto" /></td>
                </tr>
                <tr>
                    <td><h:outputLabel for="tbx-age">Your Age: </h:outputLabel></td>
                    <td><h:inputText id="tbx-age" value="#{user.age}">
                            <f:converter converterId="javax.faces.Integer" />
                        </h:inputText></td>
                </tr>
                <tr>
                    <td><h:outputLabel for="tbx-DOB">Date of birth: </h:outputLabel></td>
                    <td><h:inputText id="tbx-dob" value="#{user.DOB}" requiredMessage="Fill DOB">
                            <f:convertDateTime pattern="dd/mm/yyyy" />
                        </h:inputText></td>
                </tr>
                <tr>
                    <td><h:outputLabel for="tbx-preferredPrice">Price: </h:outputLabel></td>
                    <td><h:inputText id="tbx-preferredPrice" value="#{user.preferredPrice}">
                            <f:convertNumber type="number" />
                        </h:inputText></td>
                </tr>
            </table>
            <h:commandButton id="btn-submit" value="Submit" action="#{user.register()}" />
        </h:form>
    </h:body>
</html>

